NoAmmoTurret = {}

local function UpdateUISet()
    local timemultiplier = getGameTime():getMultiplier()
    for la, lb in pairs(NoAmmoTurret) do
        local vehicleUnit = getVehicleById(la)
        if not vehicleUnit then
            NoAmmoTurret[la] = nil

        else
            lb[1]:AddBatchedDraw(lb[2], lb[3], true)
        end

    end

end
Events.OnPlayerUpdate.Add(UpdateUISet)
